{ lib, pkgs, ... } @ args:

let klib = (import <modules/harness/lib.nix>) args;
in
{
  name = "spacekookie"; # FIXME: remove this redundancy
  cfg = {
    isNormalUser = true;
    createHome = true;
    description = "Katharina Fey";
    home = klib.mkDefault "/home";
    uid = klib.mkDefault 1000;
    extraGroups = [ "wheel" "dialout" "video" ];
    shell = klib.mkDefault pkgs.fish;
  };

  pubkeys = [
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBdIsXiaE3YLuqekTg8Xq65n1GUX5IQc8/FKMrbCsCWY" # tempest
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBALMtai+K3wBvpSf9ntuBH1GNte7quhIA4/ZWKlvF0A" # uwu
    "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAICPQ7alBckvMjRL/Tp38dSkZDTR/cLHRcJPwhP5+/fdM" # qq
  ];
}
