{ stdenv, fetchzip }:

stdenv.mkDerivation rec {
  pname = "funkwhale-frontend";
  version = "1.1";

  src = fetchzip {
    url = "https://dev.funkwhale.audio/funkwhale/funkwhale/builds/artifacts/${version}/download?job=build_front&foo.zip";
    sha256 = "0zddwd47ik3nrqpgkmvn4zx90w9708zjxlq0rr54vh5gzj326pgc";
  };

  installPhase = ''
    cp -rv dist $out
  '';
}
